Name:             elinks
Version:          0.17.0
Release:          1
Summary:          A text-mode Web browser
License:          GPL-2.0-only
URL:              https://github.com/rkd77/elinks
Source:           https://github.com/rkd77/elinks/releases/download/v%{version}/elinks-%{version}.tar.xz
Source2:          elinks.conf

BuildRequires:    automake bzip2-devel expat-devel gpm-devel krb5-devel libidn2-devel
BuildRequires:    libidn2-devel lua-devel openssl-devel pkgconfig zlib-devel gcc
BuildRequires:    gcc-c++ gettext
Requires(preun):  chkconfig
Requires(post):   coreutils
Requires(post):   chkconfig
Requires(postun): coreutils
Requires(postun): chkconfig
Provides:         webclient links = 1:0.97-1 text-www-browser

# Prevent crash when HOME is unset (bug #90663).
Patch0: elinks-0.15.0-ssl-noegd.patch
# UTF-8 by default
Patch1: elinks-0.15.1-utf_8_io-default.patch
# Make getaddrinfo call use AI_ADDRCONFIG.
Patch2: elinks-0.11.0-getaddrinfo.patch
# Don't put so much information in the user-agent header string (bug #97273).
Patch3: elinks-0.15.0-sysname.patch
# Fix xterm terminal: "Linux" driver seems better than "VT100" (#128105)
Patch4: elinks-0.15.0-xterm.patch
# let list_is_singleton() return false for an empty list (#1075415)
Patch5: elinks-0.12pre6-list_is_singleton.patch

%description
Elinks is a text-based Web browser. Elinks does not display any images,
but it does support frames, tables and most other HTML tags. Elinks'
advantage over graphical browsers is its speed--Elinks starts and exits
quickly and swiftly displays Web pages.

%package help
Summary:   Introduce how to use elinks

%description help
Introduce how to use elinks

%prep
%autosetup -p1

# remove bogus serial numbers
sed -e 's/^# *serial [AM0-9]*$//' -i config/m4/*.m4

aclocal -I config/m4
autoconf
autoheader

%build
export CFLAGS="$RPM_OPT_FLAGS $(getconf LFS_CFLAGS) -D_GNU_SOURCE -DLUA_COMPAT_5_3"
%configure %{?rescue:--without-gpm} \
    --enable-256-colors --enable-bittorrent --with-gssapi \
    --with-lua --with-openssl --without-gnutls \
    --without-spidermonkey --without-x

make V=1

%install
%make_install V=1
install -d %{buildroot}%{_sysconfdir}
install -D -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/elinks.conf
touch %{buildroot}%{_bindir}/links
true | gzip -c > %{buildroot}%{_mandir}/man1/links.1.gz
%find_lang elinks

%postun
if [ "$1" -ge "1" ]; then
        links=`readlink %{_sysconfdir}/alternatives/links`
        if [ "$links" == "%{_bindir}/elinks" ]; then
              %{_sbindir}/alternatives --set links %{_bindir}/elinks
        fi
fi
exit 0

%post
%{_sbindir}/alternatives --install %{_bindir}/links links %{_bindir}/elinks 90 \
  --slave %{_mandir}/man1/links.1.gz links-man %{_mandir}/man1/elinks.1.gz
links=`readlink %{_sysconfdir}/alternatives/links`
if [ "$links" == "%{_bindir}/elinks" ]; then
      %{_sbindir}/alternatives --set links %{_bindir}/elinks
fi


%preun
if [ $1 = 0 ]; then
        %{_sbindir}/alternatives --remove links %{_bindir}/elinks
fi
exit 0

%files -f elinks.lang
%license COPYING
%doc README.md
%ghost %verify(not md5 size mtime) %{_bindir}/links
%{_bindir}/elinks
%ghost %verify(not md5 size mtime) %{_mandir}/man1/links.1.gz
%config(noreplace) %{_sysconfdir}/elinks.conf
%exclude %{_datadir}/locale/locale.alias

%files help
%{_mandir}/man1/elinks.1*
%{_mandir}/man5/*

%changelog
* Wed Jul 03 2024 wangkai <13474090681@163.com> - 0.17.0-1
- Update to 0.17.0
- The protocol.fsp.sort option has been removed.  ELinks always sorts.
- bug 1024: Verify the host name or IP address in the server certificate
  if connection.ssl.cert_verify is not 0.
- terminfo queries for output (not input) as compilation option
- enhancement: support SSL client certificate
- enhancement: ``elinks --dump'' uses box-drawing characters if supported
  by the charset.
- python scripting is Python3 only
- Disable spidermonkey by default
- command line option -remote search(...) (thanks sgerwk)
- command line option -bind-address
- config option ui.mouse_disable (sgerwk)
- config option ui.tostop
- config option ui.sessions.fork_on_start
- compatibility (compilability) with lua-5.2 and 5.3
- modified cookies code (not well tested)
- dblatex for pdf.

* Wed Jan 18 2023 yangchenguang <yangchenguang@uniontech.com> - 0.12-4
- Fix obs build failed

* Wed Jun 23 2021 liudabo <liudabo1@huawei.com> - 0.12-3
- DESC:Add gcc build dependcy

* Thu Aug 06 2020 lingsheng<lingsheng@huawei.com> - 0.12-2
- Fix build with lua 5.4

* Wed Nov 13 2019 yangjian<yangjian79@huawei.com> - 0.12-1
- Package init
